/*	File			CaseStudyGame_Client_Main.cpp
	Purpose			Network Game (Noughts and Crosses) CLIENT
	Author			Richard Anthony	(ar26@gre.ac.uk)
	Date			April 2014 (original December 2003)
*/
#include "stdafx.h"
#include "CaseStudyGame_Client_Main.h"
#include "NoughtsCrossesCLIENT.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

BEGIN_MESSAGE_MAP(CCaseStudyGame_Client_Main, CWinApp)
END_MESSAGE_MAP()

CCaseStudyGame_Client_Main::CCaseStudyGame_Client_Main()
{
}

CCaseStudyGame_Client_Main theApp;

BOOL CCaseStudyGame_Client_Main::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	// Initialize OLE libraries
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}

	CNoughtsCrossesCLIENT * dialog = new CNoughtsCrossesCLIENT();
	dialog->DoModal();

	return TRUE;
}


